# Contributing

Thank you for your interest in contributing to this project! Here's what you need to know to get started.

1. [Maintainers](#maintainers)
1. [Order of Operations](#order-of-operations)
1. [Getting Started](#getting-started)
1. [Commit Guidelines](#commit-guidelines)

## Maintainers

This project is currently being maintained by:

* Ilya Kaminsky ([@ilyakam](https://github.com/ilyakam/))

## Order of Operations

1. [Create a new issue](https://github.com/ilyakam/RemoveDuplicateLines/issues/new)
1. Fork the repo
1. Write code and thoroughly test it
1. [Submit a pull request](https://github.com/ilyakam/RemoveDuplicateLines/compare) against `develop`
1. Communicate in a timely manner while the PR is open

## Getting Started
1. Clone this repo (`~/code` is assumed)
   ```sh
   cd ~/code
   git clone git@github.com:ilyakam/RemoveDuplicateLines.git
   ```
1. Create an alias in your [Sublime Text's Packages folder](https://forum.sublimetext.com/t/9484) (macOS is assumed)
   ```sh
   cd ~/Library/Application\ Support/Sublime\ Text\ 3/Packages/
   ln -s ~/code/RemoveDuplicateLines ./
   ```

## Commit Guidelines

Please follow the commit guidelines created by the AngularJS team. The latest version can be found [here](https://github.com/angular/angular.js/blob/master/DEVELOPERS.md#commits).
